Package org.eclipse.birt.chart.model.attribute

# Interface DataPointComponent

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `DataPointComponentImpl`

public interface DataPointComponent extends IChartObject
A representation of the model object 'Data Point Component'. DataPointComponent represents the data value being used for establishing the label text of a series' datapoint.

The following features are supported:

- `Type`
- `Format Specifier`
- `Orthogonal Type`

See Also:
  - `AttributePackage.getDataPointComponent()`

## Method Summary

Modifier and Type
Method
Description
`DataPointComponent`
`copyInstance()`
`FormatSpecifier`
`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
`String`
`getOrthogonalType()`
Returns the value of the 'Orthogonal Type' attribute.
`DataPointComponentType`
`getType()`
Returns the value of the 'Type' attribute.
`boolean`
`isSetOrthogonalType()`
Returns whether the value of the '`Orthogonal Type`' attribute is set.
`boolean`
`isSetType()`
Returns whether the value of the ' `Type`' attribute is set.
`void`
`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.
`void`
`setOrthogonalType(String value)`
Sets the value of the '`Orthogonal Type`' attribute.
`void`
`setType(DataPointComponentType value)`
Sets the value of the '`Type`' attribute.
`void`
`unsetOrthogonalType()`
Unsets the value of the '`Orthogonal Type`' attribute.
`void`
`unsetType()`
Unsets the value of the '`Type`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getType

DataPointComponentType getType()
Returns the value of the 'Type' attribute. The default value is `"Base_Value"`. The literals are from the enumeration `DataPointComponentType`. Specifies the type of data point component.

Returns:
  the value of the 'Type' attribute.
See Also:
  - `DataPointComponentType`
  - `isSetType()`
  - `unsetType()`
  - `setType(DataPointComponentType)`
  - `AttributePackage.getDataPointComponent_Type()`

### setType

void setType(DataPointComponentType value)
Sets the value of the '`Type`' attribute.

Parameters:
  `value` - the new value of the 'Type' attribute.
See Also:
  - `DataPointComponentType`
  - `isSetType()`
  - `unsetType()`
  - `getType()`

### unsetType

void unsetType()
Unsets the value of the '`Type`' attribute.

See Also:
  - `isSetType()`
  - `getType()`
  - `setType(DataPointComponentType)`

### isSetType

boolean isSetType()
Returns whether the value of the ' `Type`' attribute is set.

Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `unsetType()`
  - `getType()`
  - `setType(DataPointComponentType)`

### getFormatSpecifier

FormatSpecifier getFormatSpecifier()
Returns the value of the 'Format Specifier' containment reference. Specifies the format specifier to be used for this data point component in the data label.

Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `setFormatSpecifier(FormatSpecifier)`
  - `AttributePackage.getDataPointComponent_FormatSpecifier()`

### setFormatSpecifier

void setFormatSpecifier(FormatSpecifier value)
Sets the value of the '`Format Specifier`' containment reference.

Parameters:
  `value` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `getFormatSpecifier()`

### getOrthogonalType

String getOrthogonalType()
Returns the value of the 'Orthogonal Type' attribute. The default value is `""`. Attribute OrthogonalType specifies the orthogonal type of data point component, it's only valid when Type is OrthogonalValue.

Returns:
  the value of the 'Orthogonal Type' attribute.
See Also:
  - `isSetOrthogonalType()`
  - `unsetOrthogonalType()`
  - `setOrthogonalType(String)`
  - `AttributePackage.getDataPointComponent_OrthogonalType()`

### setOrthogonalType

void setOrthogonalType(String value)
Sets the value of the '`Orthogonal Type`' attribute.

Parameters:
  `value` - the new value of the 'Orthogonal Type' attribute.
See Also:
  - `isSetOrthogonalType()`
  - `unsetOrthogonalType()`
  - `getOrthogonalType()`

### unsetOrthogonalType

void unsetOrthogonalType()
Unsets the value of the '`Orthogonal Type`' attribute.

See Also:
  - `isSetOrthogonalType()`
  - `getOrthogonalType()`
  - `setOrthogonalType(String)`

### isSetOrthogonalType

boolean isSetOrthogonalType()
Returns whether the value of the '`Orthogonal Type`' attribute is set.

Returns:
  whether the value of the 'Orthogonal Type' attribute is set.
See Also:
  - `unsetOrthogonalType()`
  - `getOrthogonalType()`
  - `setOrthogonalType(String)`

### copyInstance

DataPointComponent copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`